Bug Hunting Session
Bug 44216 - EDITING: Drag and Drop Slide to other document with other page size distorts object's height/width ratio
Summary: EDITING: Drag and Drop Slide to other document with other page size distorts ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: ImpressDraw-Styles 45027
  Show dependency treegraph
 
Reported: 2011-12-28 04:32 UTC by Rainer Bielefeld Retired
Modified: 2017-09-01 11:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test Kit (11.65 KB, application/x-zip-compressed)
2011-12-28 04:34 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-12-28 04:32:25 UTC
I also see that with 3.3.3 Portable

Steps how to reproduce with Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978]:

1. open both attached samples
2. resize windows so that both are side by side
3. Click on only page of "source.odg" in slide pane, drag and drop to slide pane
   of "Target.odg"
   Expected: Smiley remains a circle diameter 20mm
   Actual: ellipse 60/6mm

Comparing the result with a context menu copy paste of the slide from 1 slide pane to the other you will see that within this alternative proceeding a message box appears where you can select whether size of objects should be adapted. That message box should come up automatically during drag and drop if page sizes of documents are different.
Comment 1 Rainer Bielefeld Retired 2011-12-28 04:34:52 UTC
Created attachment 54892 [details]
Test Kit

See original report how to use!
Comment 2 Florian Reisinger 2012-01-21 04:18:40 UTC
With LibreOffice 3,5rc1 there also a different problem, but yes, I can confirm it..
Comment 3 Thomas Hackert 2012-01-21 06:40:49 UTC
Hello Rainer, *,
I can confirm this with Debian Testing AMD64. It would be a cool feature, if the message box would appear autmagically ... ;)
HTH
Thomas.
Comment 4 Rainer Bielefeld Retired 2012-01-22 00:12:04 UTC
@Ivan:
Please feel free to reassign (or reset Assignee to default) if it’s not your area or if provided information is not sufficient. Please set Status to ASSIGNED if you accept this Bug.
Comment 5 Rainer Bielefeld Retired 2012-01-22 00:21:51 UTC
Message already exists and appears under particular cirucmstances, so it should not be too difficult to add this feature.
Comment 6 Rainer Bielefeld Retired 2012-02-12 01:00:06 UTC
Related AOOo bug.
Comment 7 Stefan Knorr (astron) 2012-02-17 09:48:54 UTC
(In reply to comment #5)
> Message already exists and appears under particular cirucmstances, so it should not be too difficult to add this feature.

By the way, those particular circumstances are that you have to use normal copy/paste (either via Ctrl-C, Ctrl-V or via context menu etc.)
Comment 8 Ivan Timofeev (retired) 2013-12-15 16:55:22 UTC
Reset Assignee to default, because I don't contribute to LibreOffice anymore.
Comment 9 Joel Madero 2014-02-27 23:32:40 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 10 Robinson Tryon (qubit) 2015-12-13 11:23:47 UTC Comment hidden (obsolete)
Comment 11 Heiko Tietze 2016-06-21 13:20:20 UTC
The distortion is not an enhancement but a bug (-> normal). A solution would be to allow different page sizes in one document, see bug 49787 (kind of workaround, actually). If the current behavior is kept the issue should be  solved by not proportionally inserting objects.

*** This bug has been marked as a duplicate of bug 49787 ***
Comment 12 QA Administrators 2017-09-01 11:17:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901